package com.simaek.notify.email.embedded.mail;

/**
 * Exception to be thrown by user code if a mail cannot be prepared properly,
 * for example when a FreeMarker template cannot be rendered for the mail text.
 *
 * @author Juergen Hoeller
 * @since 1.1
 */
public class MailPreparationException extends MailException {

    /**
     * Constructor for MailPreparationException.
     *
     * @param msg the detail message
     */
    public MailPreparationException(String msg) {
        super(msg);
    }

    /**
     * Constructor for MailPreparationException.
     *
     * @param msg   the detail message
     * @param cause the root cause from the mail API in use
     */
    public MailPreparationException(String msg, Throwable cause) {
        super(msg, cause);
    }

    public MailPreparationException(Throwable cause) {
        super("Could not prepare mail", cause);
    }

}
